package player {
	import org.flixel.FlxG;
	import org.flixel.FlxSprite;

	/**
	 * @author Yori Kvitchko
	 */
	public class PlayerShipTurret extends FlxSprite {
		/*
		 * Gun Turret Graphic
		 */
		[Embed(source="../../data/ship_externalview_turret.png")] 
		private var ImgTurret:Class;
		
		/*
		 * Graphic representation of the turret on top of the player ship
		 */
		public function PlayerShipTurret(Offset_X:Number, Offset_Y:Number) {
			super(0, 0);
			
			moves = false;
			solid = false;
			
			loadGraphic(ImgTurret);
			
			offset.x = -Offset_X;
			offset.y = -Offset_Y;
		}

		override public function update():void {
			angle = Math.atan2(FlxG.mouse.y - y + offset.y - origin.y, FlxG.mouse.x - x + offset.x - origin.x) * 180 / Math.PI + 90;
			super.update();
		}
	}
}
