package {

	/*
	 * Represents a an action to be performed by a character over time
	 */

	public class Action {
		public var character : String; // who's doing it
		public var type : String; // what they're doing
		public var content : String; // the meat of the action
		public var duration : int; // how long it'll take

		public function Action(character : String = "V", type : String = "speak",
			 content : String = "*smoke smoke smoke*", duration : uint = 1000) {
			this.character = character;
			this.type = type;
			this.content = content;
			this.duration = duration;
		}

		public function toString() : String {
			return character + ": " + content;
		}
	}
}